= begin EN

# yot, 2015/04/29

= Summary

This program changes horizontal resolution of DCPAM output files by the use of 
linear inter/extra-polation. 

= Usage

== Required library

* NetCDF

== Compilation

* Edit Makefile
  * Change following items
    * FC: Fortran compiler
    * FOPT : Option for Fortran compiler
    * NCDIR : a path to NetCDF library
* make
  % make

== Execution

* Edit configuration file, conv_hres.conf
* Execute as follows.
  % conv_hres

= Configuration file

This program read a configuration file when it is executed. 
The name of the configuration file is conv_hres.conf. 


== File names

Names of input and output files are specified as follows. 

  &file
    inncfn  = "input.nc",  ! Input file
    outncfn = "output.nc"  ! Output file
  /

If several lines are written in a configuration file, only the first 
line is read. 


== Horizontal resolution

Target horizontal resolution is specified by writing number of 
longitudinal direction, imax, as follows. 

  &hres
    imax = 512
  /

Above example of imax = 512 means truncation wavenumber of (512-1)/3 = 170. 


== Time index (optional)

If you need not convert all data in an input netcdf file, time index 
interval can be specified as follows. 

  &time
    ts =       1  ! start index
    te = 1000000  ! end index
  /

If you convert all of data, very large number can be specified to te. 


== Positive definite variables (optional)

Positive definite variables are specified as follows. 

  &varsign
    PositiveVar = 'Var1', 'Var2', 'Var3'
  /

This program change horizontal resolution by the use of linear inter/extra-
polation. This procedure can produce negative values, even if original 
variable is positive definite. 
By specifying PositiveVar as above, negative values are forced to be zero. 


= end EN
